INCLUDE			= -I../../../
# DEBUG			= -DDEBUG
DEBUG			=
CXX			= g++
CXX_OPT			= -g3 -Wall -Werror -ansi $(INCLUDE) $(DEBUG)
RM			= rm -f

EXE			= $(patsubst %.cpp,%.x ,$(wildcard *.cpp) )
HEADERS			= $(wildcard *.h)

all			: $(EXE)
			./$(EXE)

%.x			: %.cpp $(HEADERS)
			$(CXX) $(CXX_OPT) -o $@ $<

clean			:
			$(RM) $(EXE) *~
